<html layout:decorate="~{layout/main}"
      th:with="pageTitle=#{pageTitle.changePassword}">

<th:block layout:fragment="js-view">
</th:block>

<th:block layout:fragment="css-view">
</th:block>

<div layout:fragment="content">
    <div class="container">
        <div class="card">
        <div class="card-body">
            <form action="/user/change-password" id="change-password-form" method="post" th:object="${form}">

                <div class="card">
                    <div class="card-header">
                        <div class="card-title">
                            <span th:text="#{user.form.changePassword}"></span>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="original-password" th:text="#{user.form.label.password}">Senha
                                        original</label>
                                    <input class="form-control" id="original-password" required
                                           th:classappend="${#fields.hasErrors('originalPassword')} ? is-invalid"
                                           th:field="*{originalPassword}"
                                           type="password">
                                    <th:block th:insert="layout/fragments/form-field-errors :: errors('originalPassword')">
                                    </th:block>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="new-password" th:text="#{user.form.label.newPassword}">Nova senha</label>
                                    <input class="form-control" id="new-password" required
                                           th:classappend="${#fields.hasErrors('newPassword')} ? is-invalid"
                                           th:field="*{newPassword}"
                                           type="password">
                                    <th:block th:insert="layout/fragments/form-field-errors :: errors('newPassword')">
                                    </th:block>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="new-password-confirm" th:text="#{user.form.label.newPasswordConfirm}">Nova
                                        senha</label>
                                    <input class="form-control" id="new-password-confirm" required
                                           th:classappend="${#fields.hasErrors('passwordConfirmMatch')} ? is-invalid"
                                           th:field="*{newPasswordConfirm}"
                                           type="password">
                                    <th:block
                                            th:insert="layout/fragments/form-field-errors :: errors('passwordConfirmMatch')">
                                    </th:block>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="card">
                    <div class="card-body">
                        <button class="btn btn-primary float-right" th:text="#{user.form.submit}"
                                type="submit" id="submit-button">Criar
                        </button>
                        <a class="btn btn-danger float-left" th:href="@{|/user/edit/${user.id}|}"
                           th:text="#{user.form.cancel}">Cancelar</a>
                    </div>
                </div>
            </form>
        </div>
    </div>
    </div>
</div>

